Page MenuHomePhabricator

wikitech instances list is blank
Closed, DuplicatePublic

Description

There are no instances listed on https://wikitech.wikimedia.org/wiki/Special:NovaInstance for projects which definitely have instances, e.g. Deployment-prep.

Additionally, the instances list on Nova_Resource:Deployment-prep is showing one instance but none of the rest show up.

This isn't isolated to one project, all of the projects which I am a member of seem to be broken / missing instances...

Event Timeline

mmodell created this task.Feb 18 2015, 7:49 AM
mmodell raised the priority of this task from to Unbreak Now!.
mmodell updated the task description. (Show Details)
mmodell added a subscriber: mmodell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 7:49 AM
scfc added subscribers: scfc, Andrew.Feb 18 2015, 3:38 PM

The first case (no instances showing up on https://wikitech.wikimedia.org/wiki/Special:NovaInstance) happens usually when the OpenStack auth expires, but not the MediaWiki one. Does logging out and in again fix this for you?

The second case typically means that Semantic MediaWiki got out of sync. Some months ago, @Andrew ran a maintenance script to reparse all SMW data to fix this.

I haven't logged out and the problem seems to have resolved it's self. I'm not sure what the issue was, I had assumed it was related to the outage on labs yesterday.

mmodell closed this task as Invalid.Feb 18 2015, 11:59 PM
mmodell claimed this task.

I just re-ran the smw rebuild, so that might have fixed half of this.

Nikerabbit reopened this task as Open.Mar 18 2015, 9:32 AM
Nikerabbit added a subscriber: Nikerabbit.

I'm encountering empty instance list almost every time I try to use the instance list. Needing to log out and log in again works around the problem, but with 2FA that is quite annoying.

mmodell removed mmodell as the assignee of this task.EditedMar 21 2015, 4:02 AM
mmodell lowered the priority of this task from Unbreak Now! to Needs Triage.

Just encountered this bug again myself. Logging out and back in fixes it.

yuvipanda triaged this task as Normal priority.Mar 21 2015, 6:14 AM
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 7 2017, 6:54 PM